( function( $ ) {
    "use strict";
	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction('frontend/element_ready/tmuserb-form.default', function($scope){
            if ($scope.find('#tmuserb-content').length) {
                $scope.find('#tmuserb-content').css('visibility', 'visible');
            }
            if($('body').hasClass("elementor-editor-active")) {
                $scope.find('.wp-media-buttons').hide();
                $scope.find('.wp-editor-tabs').hide();
                var table = $scope.find('#tmuserb-table').DataTable({
                    dom: 'Bfrtip',
                    paging: true,
                    pagingType: 'numbers',
                    pageLength: 10,
                    info: true,
                    scrollX: true,
                    searching: true,
                    ordering:  true,
                    order: [[ 1, "desc" ]],
                    aoColumns: [null, null, null, { "bSortable": false }, { "bSortable": false }],
                    buttons: {
                        buttons: [
                            {
                              text: tmuserb_table_vars.all,
                              className: 'btn-all active'
                            },
                            {
                              text: tmuserb_table_vars.publish,
                              className: 'btn-publish'
                            },
                            {
                              text : tmuserb_table_vars.pending_2,
                              className: 'btn-pending'
                            },
                            {
                                text : tmuserb_table_vars.draft,
                                className: 'btn-draft'
                            }
                       ],
                        dom: {
                            button: {
                                className: 'tmuserb-table-btn'
                            },
                            buttonLiner: {
                                tag: null
                            }
                        }
                    }
                });
                /* TABS */
                $scope.find('.tmuserb-tab').on('click', function(evt) {
                    evt.preventDefault();
                    $scope.find('.tmuserb-tab').removeClass('active');
                    $(this).toggleClass('active');
                    var sel = this.getAttribute('data-toggle-target');
                    $scope.find('.tmuserb-tab-content').removeClass('active').filter(sel).addClass('active');
                    table.columns.adjust().draw();
                });
                $scope.find('.dt-buttons').next('.dataTables_filter').andSelf().wrapAll('<div class="tmuserb-searchbar"/>');
            }
        });
    });
} )( jQuery );