/* jQuery */
(function($) {
    "use strict";

    /* TABLE */
    var table = $('#tmuserb-table').DataTable({
        dom: 'Bfrtip',
        paging: true,
        pagingType: 'numbers',
        pageLength: parseInt(tmuserb_table_vars.pageLength),
        info: true,
        scrollX: true,
        searching: true,
        ordering:  true,
        order: [[ 1, "desc" ]],
        aoColumns: [null, null, null, { "bSortable": false }, { "bSortable": false }],
        buttons: {
            buttons: [
                {
                  text: tmuserb_table_vars.all,
                  className: 'btn-all active'
                },
                {
                  text: tmuserb_table_vars.publish,
                  className: 'btn-publish'
                },
                {
                  text : tmuserb_table_vars.pending_2,
                  className: 'btn-pending'
                },
                {
                    text : tmuserb_table_vars.draft,
                    className: 'btn-draft'
                }
           ],
            dom: {
                button: {
                    className: 'tmuserb-table-btn'
                },
                buttonLiner: {
                    tag: null
                }
            }
        },
        language: {
            lengthMenu: tmuserb_table_vars.lengthMenu,
            zeroRecords: tmuserb_table_vars.zeroRecords,
            info: tmuserb_table_vars.info,
            infoEmpty: tmuserb_table_vars.infoEmpty,
            infoFiltered: tmuserb_table_vars.infoFiltered,
            search: "",
            searchPlaceholder: tmuserb_table_vars.searchPlaceholder,
            processing: tmuserb_table_vars.processing
        }
    });

    /* TABLE 2 */
    $('body').find('.tmuserb-table-2').DataTable({
        dom: 'frtip',
        paging: true,
        pagingType: 'numbers',
        pageLength: parseInt(tmuserb_table_vars.pageLength),
        info: true,
        scrollX: true,
        searching: true,
        ordering:  true,
        order: [[ 1, "desc" ]],
        language: {
            lengthMenu: tmuserb_table_vars.lengthMenu,
            zeroRecords: tmuserb_table_vars.zeroRecords,
            info: tmuserb_table_vars.info,
            infoEmpty: tmuserb_table_vars.infoEmpty,
            infoFiltered: tmuserb_table_vars.infoFiltered,
            search: "",
            searchPlaceholder: tmuserb_table_vars.searchPlaceholder,
            processing: tmuserb_table_vars.processing
        }
    });

    $('#tmuserb-table_wrapper').find('.tmuserb-table-btn.btn-all').on('click', function(evt) {
        evt.preventDefault();
        $('#tmuserb-table_wrapper').find('.tmuserb-table-btn').removeClass('active');
        $(this).addClass('active');
        table.columns(2).search('').draw();
    });

    $('#tmuserb-table_wrapper').find('.tmuserb-table-btn.btn-publish').on('click', function(evt) {
        evt.preventDefault();
        $('#tmuserb-table_wrapper').find('.tmuserb-table-btn').removeClass('active');
        $(this).addClass('active');
        table.columns(2).search(tmuserb_table_vars.publish).draw();
    });

    $('#tmuserb-table_wrapper').find('.tmuserb-table-btn.btn-pending').on('click', function(evt) {
        evt.preventDefault();
        $('#tmuserb-table_wrapper').find('.tmuserb-table-btn').removeClass('active');
        $(this).addClass('active');
        table.columns(2).search(tmuserb_table_vars.pending).draw();
    });

    $('#tmuserb-table_wrapper').find('.tmuserb-table-btn.btn-draft').on('click', function(evt) {
        evt.preventDefault();
        $('#tmuserb-table_wrapper').find('.tmuserb-table-btn').removeClass('active');
        $(this).addClass('active');
        table.columns(2).search(tmuserb_table_vars.draft).draw();
    });

    /* UPDATE FEATURED IMG THUMBNAIL */ 
    $('#submitted_post_thumbnail').on('change', function(){ 
        if ($(this).val()) {
            $('body').find('.cmb2-id-submitted-post-thumbnail .attachment-medium').hide();
        }
    });

    /* TABS */
    if(!$('body').hasClass("elementor-editor-active")) {
        $('#tmuserb-tabs').find('.tmuserb-tab').on('click', function(evt) {
            evt.preventDefault();
            $('#tmuserb-tabs').find('.tmuserb-tab').removeClass('active');
            $(this).toggleClass('active');
            var sel = this.getAttribute('data-toggle-target');
            $('body').find('.tmuserb-tab-content').removeClass('active').filter(sel).addClass('active');
            table.columns.adjust().draw();
        });
    }

    /* NOTICES */
    $('body').find('.tmuserb-notice > .remove-notice').on('click', function(evt) {
        evt.preventDefault();
        $(this).parent().fadeOut();
    });

    /* DISPLAY CONTENT */
    $(document).ready(function () {
        if(!$('body').hasClass("elementor-editor-active")) {
            $('body').find('.tmuserb-table-container-2').css('visibility', 'visible');
            if ($('#tmuserb-content').length) {
                $('#tmuserb-content').css('visibility', 'visible');
                $('#tmuserb-content').find('.tmuserb-tags').tagsInput({placeholder:''});

                if ($('#tmuserb-required-fields').data('req')) {
                    var $required = $('#tmuserb-required-fields').data('req');
                    var $required_array = $required.split(",");
                    $.each($required_array, function( index, value ) {
                        var $required_field = $('#tmuserb-content').find("label[for='" + value + "']").text().replace(':', '');
                        $('#tmuserb-content').find("label[for='" + value + "']").prepend('*');
                        $('#tmuserb-content').find("label[for='" + value + "']").addClass('required-field');
                        $('#tmuserb-required-fields').prepend(' (' + $required_field + ') ');
                    });
                }

                $('#tmuserb-tab-2').append(' (' + $('#tmuserb-table-container').data('postcount') + ')');
                $('body').find('.dt-buttons').next('.dataTables_filter').andSelf().wrapAll('<div class="tmuserb-searchbar"/>');

                var publish_count = table.column(2).data().filter( function (value, index) {
                    return value === tmuserb_table_vars.publish ? true : false;
                }).length;
                $('#tmuserb-table_wrapper').find('.tmuserb-table-btn.btn-publish').append(' (' + publish_count + ')');

                var pending_count = table.column(2).data().filter( function (value, index) {
                    return value === tmuserb_table_vars.pending ? true : false;
                }).length;
                $('#tmuserb-table_wrapper').find('.tmuserb-table-btn.btn-pending').append(' (' + pending_count + ')');

                var draft_count = table.column(2).data().filter( function (value, index) {
                    return value === tmuserb_table_vars.draft ? true : false;
                }).length;
                $('#tmuserb-table_wrapper').find('.tmuserb-table-btn.btn-draft').append(' (' + draft_count + ')');

            }
        }
    });  

})(jQuery);