<?php
namespace ElementorTMuserb;

class TMuserbLoadElementor {

	private static $_instance = null;

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	private function include_widgets_files() {
		require_once( __DIR__ . '/widgets/form.php' );
        require_once( __DIR__ . '/widgets/posts.php' );
	}

	public function register_widgets() {
		$this->include_widgets_files();

		\Elementor\Plugin::instance()->widgets_manager->register( new Widgets\TMuserb_Form() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Widgets\TMuserb_Posts() );
	}

    public function widget_scripts() {
		wp_register_script( 'tmuserb-elementor-form', plugins_url( '/js/elementor/form.js', __FILE__ ), [ 'jquery' ], false, true );
        wp_register_script( 'tmuserb-elementor-posts', plugins_url( '/js/elementor/posts.js', __FILE__ ), [ 'jquery' ], false, true );
	}

	public function widget_category($elements_manager) {
		$elements_manager->add_category(
			'tmuserb-widgets',
			[
				'title' => esc_html__( 'TM User Blog', 'tmuserblog' ),
				'icon' => 'fa fa-plug',
			]
		);
	}

	public function __construct() {
        add_action( 'elementor/frontend/after_register_scripts', [ $this, 'widget_scripts' ] );
		add_action( 'elementor/elements/categories_registered', [ $this, 'widget_category' ] );
		add_action( 'elementor/widgets/register', [ $this, 'register_widgets' ] );
	}
}

TMuserbLoadElementor::instance();